image: maven:3.6.3-openjdk-11

include:
    - project: 'verademo/srcclr-examples/sca-prep'
      ref: master
      file: '/.gitlab-ci.yml'
      
cache:
    key: one-key-to-rule-them-all
    paths:
        - .m2/repository
        - .sca-agent/

build:
    extends: .sca-prep
    variables:
        MAVEN_OPTS: "-Dhttps.protocols=TLSv1.2 -Dmaven.repo.local=$CI_PROJECT_DIR/.m2/repository -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN -Dorg.slf4j.simpleLogger.showDateTime=true -Djava.awt.headless=true"
        CACHE_DIR: ".sca-agent"
    script:
        - curl -sSL https://download.sourceclear.com/ci.sh | sh -s –- scan --update-advisor --pull-request
